org.eclipse.viatra.query.patternlanguage.emf.ui.builder

## Class CleanSupport

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.ui.builder.CleanSupport

-     public class CleanSupport
      extends java.lang.Object

  Clean phase support for BuilderParticipant.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CleanSupport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fullClean(org.eclipse.xtext.builder.IXtextBuilderParticipant.IBuildContext context, org.eclipse.core.runtime.IProgressMonitor monitor)` Performs a full clean on the currently built project and all related fragments.
    `void` | `normalClean(org.eclipse.xtext.builder.IXtextBuilderParticipant.IBuildContext context, java.util.List<org.eclipse.xtext.resource.IResourceDescription.Delta> relevantDeltas, org.eclipse.core.runtime.IProgressMonitor monitor)` Performs a normal Clean on the currently built project and all related fragments.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CleanSupport

          public CleanSupport()

  - ### Method Detail

    - #### fullClean

          public void fullClean(org.eclipse.xtext.builder.IXtextBuilderParticipant.IBuildContext context,
                                org.eclipse.core.runtime.IProgressMonitor monitor)

      Performs a full clean on the currently built project and all related fragments.
      Parameters:
        `context` -
        `monitor` -

    - #### normalClean

          public void normalClean(org.eclipse.xtext.builder.IXtextBuilderParticipant.IBuildContext context,
                                  java.util.List<org.eclipse.xtext.resource.IResourceDescription.Delta> relevantDeltas,
                                  org.eclipse.core.runtime.IProgressMonitor monitor)

      Performs a normal Clean on the currently built project and all related fragments.
      Parameters:
        `context` -
        `relevantDeltas` -
        `monitor` -